const { findByIdAndUpdate } = require('../model/Task');
const Model=require('../model/Task');

exports.findAllTask=()=>{
	return Model
		.find()
		.sort({name:"asc"})
}

exports.findTaskById=(id)=>{
	return Model.findById(id);
}
exports.addTask=(taskData)=>{
	let task=new Model(taskData);
	let errorValidate=task.validateSync();
	if(errorValidate){
		throw errorValidate;
	}
	return task.save();
}
exports.updateTask=(id,update)=>{
	return Model.findByIdAndUpdate(id,update,{new:true, runValidators:true});
}
exports.deleteTask=(id)=>{
	return Model.findByIdAndDelete(id);
}