import React, { Component } from 'react'
import TaskForm from './TaskForm';
import '../../style/task/TaskCreate.scss';

export default class TaskCreate extends Component {
	state={
		"open":false
	}
	render() {
		return (
			<div className="taskCreate">
				<button
					className={this.state.open?"icon-minus-circled":"icon-plus-circled"}
					type="button"
					onClick={()=>{this.setState({"open":!this.state.open});}}
					title={this.state.open?"Hide add task":"Add task"}
				/>
				{this.state.open?<TaskForm name="create"/>:""}
			</div>
		)
	}
}
